#############################################################
#
# pppoe
#
#############################################################

PPPOE_SOURCE_URL=http://www.roaringpenguin.com/penguin/pppoe/
PPPOE_SOURCE=rp-pppoe-3.5.tar.gz
PPPOE_DIR=$(BUILD_DIR)/rp-pppoe-3.5

$(DL_DIR)/$(PPPOE_SOURCE):
	 $(WGET) -P $(DL_DIR) $(PPPOE_SOURCE_URL)$(PPPOE_SOURCE)

pppoe-source: $(DL_DIR)/$(PPPOE_SOURCE)

$(PPPOE_DIR)/.unpacked: $(DL_DIR)/$(PPPOE_SOURCE)
	zcat $(DL_DIR)/$(PPPOE_SOURCE) | tar -C $(BUILD_DIR) -xvf -
	touch $(PPPOE_DIR)/.unpacked

$(PPPOE_DIR)/.configured: $(PPPOE_DIR)/.unpacked
	(cd $(PPPOE_DIR)/src; \
		./configure \
		CFLAGS="$(TARGET_CFLAGS)" \
	);
	touch $(PPPOE_DIR)/.configured


$(PPPOE_DIR)/src/pppoe: $(PPPOE_DIR)/.configured
	$(MAKE) -C $(PPPOE_DIR)/src

$(PACKAGES_DIR)/ppp/sbin/pppoe: $(PPPOE_DIR)/src/pppoe
	cp -a $(PPPOE_DIR)/src/pppoe $(PACKAGES_DIR)/ppp/sbin/pppoe
	-$(SSTRIP) $(PACKAGES_DIR)/ppp/sbin/pppoe

pppoe: pppd $(PACKAGES_DIR)/ppp/sbin/pppoe

pppoe-clean:
	-$(MAKE) -C $(PPPOE_DIR) clean
	rm -f $(PACKAGES_DIR)/ppp/sbin/pppoe
	rm -f $(PACKAGES_DIR)/ppp/sbin/chat

pppoe-dirclean:
	rm -rf $(PPPOE_DIR)
	rm -f $(PACKAGES_DIR)/ppp/sbin/pppoe
	rm -f $(PACKAGES_DIR)/ppp/sbin/chat
